function [ shape ] = pts2shape( Lmax, Lmin, signature )

%disp('analysis...');
%disp(length(Lmax(:,1)))
%disp(length(Lmin(:,1)))
%disp(Lmax)
%disp(Lmin)

if(max(signature(:,2))-min(signature(:,2))<0.1)
    %disp('very circular');
    shape='circle';
elseif(length(Lmax(:,1))==4 && length(Lmin(:,1))==4)
    %disp(abs(abs(Lmin(1,2)+Lmin(3,2))/2 - abs(Lmin(2,2)+Lmin(4,2))/2));    
    if((abs(abs(Lmin(1,2)+Lmin(3,2))/2 - abs(Lmin(2,2)+Lmin(4,2))/2))<0.03)
        shape = 'diamond';
    else
        shape = 'quad';
    end
elseif (length(Lmax(:,1))==5 && length(Lmin(:,1))==5)
    if(mean(Lmin(:,2))<0.5)
        shape = 'star5';
    else
        shape = 'pent';
    end    
elseif (length(Lmax(:,1))==6 && length(Lmin(:,1))==6)
    if(mean(Lmin(:,2))<0.75)
        shape = 'star6';
    else
        shape = 'hex';
    end 
elseif (length(Lmax(:,1))==8 && length(Lmin(:,1))==8)
    shape = 'cross';
elseif (length(Lmax(:,1))==3 && length(Lmin(:,1))==3)
    shape = 'triangle';
elseif (length(Lmax(:,1))==2 && length(Lmin(:,1))==2)
    shape = 'oval';
elseif (length(Lmax(:,1))==1 && length(Lmin(:,1))==1)
    shape = 'circle';
else
    %disp('H2IK error');
    shape = 'fail';
end

end

